org.apache.sysds.runtime.privacy.propagation

## Interface Propagator

All Known Implementing Classes:
  AppendPropagator, CBindPropagator, ListAppendPropagator, MatrixMultiplicationPropagator, MatrixMultiplicationPropagatorNaive, MatrixMultiplicationPropagatorPrivateFirst, MatrixMultiplicationPropagatorPrivateFirstOptimized, RBindPropagator

    public interface Propagator

Interface for all propagator instances with a single output.

### Method Summary

All Methods Instance Methods Abstract Methods
`PrivacyConstraint` `propagate()` Activates the propagation and returns the output privacy constraint.

### Method Detail

#### propagate

    PrivacyConstraint propagate()

Activates the propagation and returns the output privacy constraint.

Returns:
  output privacy constraint.